# thrd_current

From cppreference.com
< c‎ | thread

Defined in header `<threads.h>` |  |
thrd_t thrd_current(void); |  | (since C11)

Returns the identifier of the calling thread.

### Parameters

(none)

### Return value

The identifier of the calling thread.

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.26.5.2 The thrd_current function (p: 383)

### See also

C++ documentation for get_id

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/thread/thrd_current&oldid=90298"